Project

General

Profile

Actions

Bug #4005

closed

Fix our CFEngine standard lib to be CFEngine 3.5.* compliant but based on modifications of the latest version of it

Added by Nicolas PERRON over 9 years ago. Updated almost 8 years ago.

Status:
Released
Priority:
1
Category:
Techniques
Target version:
Severity:
UX impact:
User visibility:
Effort required:
Priority:
Regression:

Description

In order to integrate CFEngine 3.5 (#3869), the CFEngine standard lib should not contains errors like comma after promiser. The easy solution is to update to the latest version of CFEngine but this is a too big change.
For Rudder 2.4 to 2.7, the solution is to fix each error if matching the latest version of CFEngine standard lib.

Actions #1

Updated by Nicolas PERRON over 9 years ago

  • Status changed from New to Pending technical review
  • Assignee changed from Nicolas PERRON to Jonathan CLARKE
  • % Done changed from 0 to 100
  • Pull Request set to https://github.com/Normation/rudder-techniques/pull/205

Pull Request URL: https://github.com/Normation/rudder-techniques/pull/205

Jon, could you review it please ?

Actions #2

Updated by Nicolas PERRON over 9 years ago

  • Status changed from Pending technical review to Pending release

Applied in changeset commit:1154120ec6c2667d9a2e34a5b25a10506939afe8.

Actions #3

Updated by Jonathan CLARKE over 9 years ago

Applied in changeset commit:0ec5e4d8c6923fe510b2ff4e9b1a0e4c6d1633ba.

Actions #4

Updated by Nicolas PERRON over 9 years ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 2.4.11, which was released today.
Check out:

Actions #5

Updated by Benoît PECCATTE almost 8 years ago

  • Project changed from 24 to Rudder
  • Category set to Techniques
Actions

Also available in: Atom PDF